# pqxx::failure Class Reference
[Exception classes]

Run-time failure encountered by libpqxx, similar to std::runtime_error. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::failure:

[legend]

List of all members.

## Public Member Functions
| failure (const std::string &)

## Detailed Description

Run-time failure encountered by libpqxx, similar to std::runtime_error.

## Constructor & Destructor Documentation

pqxx::failure::failure | ( | const std::string & | whatarg | ) | `[explicit]`

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx